Package org.eclipse.wst.xsl.xalan.debugger

## org.eclipse.wst.xsl.xalan.debugger
Class XalanPrintTraceListener

    public class XalanPrintTraceListener
    extends org.apache.xalan.trace.PrintTraceListener

## Constructor Summary

`XalanPrintTraceListener(java.io.PrintWriter pw)`

## Method Summary

`public void` | `_trace(org.apache.xalan.trace.TracerEvent ev)`
`public void` | `selected(org.apache.xalan.trace.SelectionEvent ev)`
`public void` | `selectEnd(org.apache.xalan.trace.EndSelectionEvent ev)`
`public void` | `trace(org.apache.xalan.trace.TracerEvent ev)`
`public void` | `traceEnd(org.apache.xalan.trace.TracerEvent ev)`

## Constructor Detail

## XalanPrintTraceListener

`public XalanPrintTraceListener(java.io.PrintWriter pw)`

## Methods Detail

## _trace

`public void _trace(org.apache.xalan.trace.TracerEvent ev)`

### Parameters

`ev`

## selected

`public void selected(org.apache.xalan.trace.SelectionEvent ev)`

### Parameters

`ev`

### Throws:

`javax.xml.transform.TransformerException`

## selectEnd

`public void selectEnd(org.apache.xalan.trace.EndSelectionEvent ev)`

### Parameters

`ev`

### Throws:

`javax.xml.transform.TransformerException`

## trace

`public void trace(org.apache.xalan.trace.TracerEvent ev)`

### Parameters

`ev`

## traceEnd

`public void traceEnd(org.apache.xalan.trace.TracerEvent ev)`

### Parameters

`ev`